This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481631 - pear make-rpm-spec doesn't work for non standard channel.
pear make-rpm-spec doesn't work for non standard channel.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php-pear-PEAR-Command-Packaging (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 15:10 EST by Remi Collet
Modified: 2009-06-27 18:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 18:12:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-01-26 15:10:03 EST
Description of problem:
Couldn't generate specfile for pear extension coming from non standard channel.


Version-Release number of selected component (if applicable):
php-pear-PEAR-Command-Packaging-0.1.2-6.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. pear channel-discover components.ez.no
2. wget http://components.ez.no/get/Base-1.6.tgz
3. pear make-rpm-spec Base-1.6.tgz

Actual results: (even if "root" account used)
Adding package components.ez.no/Base to registry failed

Expected results:
Wrote RPM spec file php-ezc-Base.spec

Additional info:
I haven't yet search for a solution to this issue.

We also should take care of waiting for approbal PHP Guidelines update
https://fedoraproject.org/wiki/PackagingDrafts/PHP
And then check than generated spec is ok.
Comment 1 Tim Jackson 2009-01-27 04:17:54 EST
This is an upstream issue (upstream=me), but see:

https://www.redhat.com/archives/fedora-php-devel-list/2007-July/msg00025.html

I have been waiting for someone else to help me test the functionality in the upstream package CVS. If we can get this ironed out then I will do an upstream release and update the Fedora package too.
Comment 2 Remi Collet 2009-01-27 11:51:19 EST
I must apologize, I forgot this message...

I'm working on the CVS version.

Don't take this bug as a bug, but more as a RFE or a Reminder.

Regards
Comment 3 Tim Jackson 2009-06-27 18:12:27 EDT
Fixed in v0.2.0 in rawhide

Note You need to log in before you can comment on or make changes to this bug.